{
    "$graph": [
        {
            "label": "Post-process CMsearch annotations",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "annot_merge",
            "arguments": [
                "-unique"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#annot_merge.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#annot_merge.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "annots.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#annot_merge.cwl/output_name"
                }
            ],
            "id": "#annot_merge.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#annot_merge.cwl/annots"
                }
            ]
        },
        {
            "label": "Run genomic CMsearch (Rfam rRNA), execution",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "cmsearch_wnode",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#cmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "inputBinding": {
                        "prefix": "-cmsearch-cpu"
                    },
                    "id": "#cmsearch_wnode.cwl/cmsearch_cpu"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/bacterial_pipeline/system/third-party/bin",
                    "inputBinding": {
                        "prefix": "-cmsearch-path"
                    },
                    "id": "#cmsearch_wnode.cwl/cmsearch_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#cmsearch_wnode.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-model-path"
                    },
                    "id": "#cmsearch_wnode.cwl/model_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#cmsearch_wnode.cwl/output_dir"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-rfam-amendments"
                    },
                    "id": "#cmsearch_wnode.cwl/rfam_amendments"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-rfam-stockholm"
                    },
                    "id": "#cmsearch_wnode.cwl/rfam_stockholm"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#cmsearch_wnode.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#cmsearch_wnode.cwl/outdir"
                }
            ],
            "id": "#cmsearch_wnode.cwl"
        },
        {
            "label": "Run genomic CMsearch (Rfam rRNA), gather",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "cmsearch.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/annots"
                }
            ],
            "id": "#gpx_qdump.cwl"
        },
        {
            "label": "Run genomic CMsearch (Rfam rRNA), scatter",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gpx_qsubmit.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl"
        },
        {
            "label": "Run genomic CMsearch (Rfam rRNA)",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#main/model_path"
                },
                {
                    "type": "File",
                    "id": "#main/rfam_amendments"
                },
                {
                    "type": "File",
                    "id": "#main/rfam_stockholm"
                },
                {
                    "type": "File",
                    "id": "#main/seqids"
                },
                {
                    "type": "File",
                    "id": "#main/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/Post_process_CMsearch_Rfam_annotations/annots",
                    "id": "#main/annots"
                }
            ],
            "steps": [
                {
                    "run": "#annot_merge.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Post_process_CMsearch_Rfam_annotations/asn_cache"
                        },
                        {
                            "source": "#main/Run_genomic_CMsearch_Rfam_rRNA_Run_genomic_CMsearch_Rfam_rRNA_dump/annots",
                            "id": "#main/Post_process_CMsearch_Rfam_annotations/input"
                        }
                    ],
                    "out": [
                        "#main/Post_process_CMsearch_Rfam_annotations/annots"
                    ],
                    "id": "#main/Post_process_CMsearch_Rfam_annotations"
                },
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#main/Run_genomic_CMsearch_Rfam_rRNA_wnode/outdir",
                            "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_Run_genomic_CMsearch_Rfam_rRNA_dump/input_path"
                        }
                    ],
                    "out": [
                        "#main/Run_genomic_CMsearch_Rfam_rRNA_Run_genomic_CMsearch_Rfam_rRNA_dump/annots"
                    ],
                    "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_Run_genomic_CMsearch_Rfam_rRNA_dump"
                },
                {
                    "run": "#gpx_qsubmit.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_submit/asn_cache"
                        },
                        {
                            "source": "#main/seqids",
                            "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_submit/seqids"
                        }
                    ],
                    "out": [
                        "#main/Run_genomic_CMsearch_Rfam_rRNA_submit/jobs"
                    ],
                    "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_submit"
                },
                {
                    "run": "#cmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_wnode/asn_cache"
                        },
                        {
                            "source": "#main/Run_genomic_CMsearch_Rfam_rRNA_submit/jobs",
                            "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_wnode/input_jobs"
                        },
                        {
                            "source": "#main/model_path",
                            "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_wnode/model_path"
                        },
                        {
                            "source": "#main/rfam_amendments",
                            "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_wnode/rfam_amendments"
                        },
                        {
                            "source": "#main/rfam_stockholm",
                            "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_wnode/rfam_stockholm"
                        },
                        {
                            "source": "#main/taxon_db",
                            "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_wnode/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/Run_genomic_CMsearch_Rfam_rRNA_wnode/outdir"
                    ],
                    "id": "#main/Run_genomic_CMsearch_Rfam_rRNA_wnode"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
